• Post Reply Bookmark Topic Watch Topic
  • New Topic

Error while while giving command Java -version  RSS feed

 
Arindam Biswas
Greenhorn
Posts: 6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dear Sir,
I am getting the following error while I am writing the command in Command Window.

Java -version >> Registry Key 'Software\JavaSoft\JavaRuntime Environment\Current Version' has value '1.7' but '1.6 is required.
Error: Could not find java.dll
Error: Could not find Java 2 Runtime Runtime Environment

How could I sort it out? Should I repair it or reinstall new version of Java? Which is the better option? Should I uninstall Java before reinstallation? Which version of Java should I reinstall? Will there be not any effect for
other software like Apache Ant, Apache Derby, Apache Xalan?
Arindam Biswas.
 
Ivan Jozsef Balazs
Rancher
Posts: 999
5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Which java.exe it is? Several can peacefully coexist in the same box. Maybe running it with an absolute path name helps.
I use wrapping scripts (like javac15 or java16 or javap17 etc.) which I put on the PATH but not the javac, java etc. executables themselves.

"C:\Program Files\Java\jdk1.5.0_22\bin\java" -version
java version "1.5.0_22"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_22-b03)
Java HotSpot(TM) Client VM (build 1.5.0_22-b03, mixed mode, sharing)

"C:\Program Files\Java\jdk1.6.0_43\bin\java" -version
java version "1.6.0_43"
Java(TM) SE Runtime Environment (build 1.6.0_43-b01)
Java HotSpot(TM) Client VM (build 20.14-b01, mixed mode, sharing)

"C:\Langs\java\jdk1.7.0_21\bin\java" -version
java version "1.7.0_21"
Java(TM) SE Runtime Environment (build 1.7.0_21-b11)
Java HotSpot(TM) Client VM (build 23.21-b01, mixed mode, sharing)
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!